fr.cnam.ihm

## Class PolygoneCanvas

- java.lang.Object
- - fr.cnam.ihm.ObjetCanvas
  - - fr.cnam.ihm.PolygoneCanvas

- All Implemented Interfaces:
    java.lang.Comparable<PolygoneCanvas>

      public class PolygoneCanvas
      extends ObjetCanvas
      implements java.lang.Comparable<PolygoneCanvas>

  Classe de dÃ©finition d'un polygone

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `marque` marque de couleur de 1 à 10
    `java.lang.Object` | `object` Objet associé au polygone
    `java.awt.Point[]` | `points` les points du polygone
    `java.awt.Polygon` | `polygone` le polygone java
    `Position` | `pos` Position en 3D du polygone
    `RessourcesCanvas` | `rc` ressource graphique

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolygoneCanvas(java.lang.Object o, Position p, int marque, java.awt.Point... points)` Création d'un polygone dans le canvas
    `PolygoneCanvas(RessourcesCanvas rc, java.lang.Object o, Position p, java.awt.Point... points)` Création d'un polygone dans le canvas

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(PolygoneCanvas p)` méthode utilisé pour trier les polygones avant de les afficher.

    - ### Methods inherited from class fr.cnam.ihm.ObjetCanvas

      `setRessourcesCanvas`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### marque

          public int marque

      marque de couleur de 1 à 10

    - #### rc

          public RessourcesCanvas rc

      ressource graphique

    - #### points

          public java.awt.Point[] points

      les points du polygone

    - #### polygone

          public java.awt.Polygon polygone

      le polygone java

    - #### pos

          public Position pos

      Position en 3D du polygone

    - #### object

          public java.lang.Object object

      Objet associé au polygone

  - ### Constructor Detail

    - #### PolygoneCanvas

          public PolygoneCanvas(java.lang.Object o,
                                Position p,
                                int marque,
                                java.awt.Point... points)

      Création d'un polygone dans le canvas
      Parameters:
        `o` - objet quelconque (voir pointerCanvas)
        `p` - position en 3D du polygone
        `marque` - couleur de 1 à 10
        `points` - les points du polygone

    - #### PolygoneCanvas

          public PolygoneCanvas(RessourcesCanvas rc,
                                java.lang.Object o,
                                Position p,
                                java.awt.Point... points)

      Création d'un polygone dans le canvas
      Parameters:
        `rc` - ressources graphiques du polygone
        `o` - objet quelconque (voir pointerCanvas)
        `p` - position en 3D du polygone
        `points` - les points du polygone

  - ### Method Detail

    - #### compareTo

          public int compareTo(PolygoneCanvas p)

      méthode utilisé pour trier les polygones avant de les afficher. L'ordre est decroissante sur Z, Y puis Z. Cela garantit un effet 3D des polygones.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<PolygoneCanvas>`
      Parameters:
        `p` - Le polygone a compara avec this
      Returns:
        retourne l'ordre (-1 inferieur 1 supérieur 0 égal)